> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all transaction activity

> 
 Returns a list of transactions for a given account. Ordered chronologically by creation date, with the most recent transaction appearing first.
 
 You can use optional parameters to filter the transactions. 
 For example, use  ```budgetId ``` to return only transactions associated with a given budget.
  



## OpenAPI

````yaml /autogenerated/openapi/transactions.openapi.json get /activity/{accountId}
openapi: 3.1.0
info:
  title: Transactions API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /activity/{accountId}:
    get:
      tags:
        - Transaction activity
      summary: List all transaction activity
      description: |2-

         Returns a list of transactions for a given account. Ordered chronologically by creation date, with the most recent transaction appearing first.
         
         You can use optional parameters to filter the transactions. 
         For example, use  ```budgetId ``` to return only transactions associated with a given budget.
          
      operationId: findAll
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
        - name: limit
          in: query
          schema:
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 10000
            description: The maximum number of results to return.
            example: 200
        - name: offset
          in: query
          schema:
            default: 0
            type:
              - integer
            description: The number of items to skip before returning results.
            example: 100
        - name: include
          in: query
          schema:
            description: >-
              Controls which optional properties should be attached to the
              response. `forwardDetails` attaches the forward contract's
              payments, events, deposits and drawdowns to forwardContract rows.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - bankFeedDetails
                    - annotations
                    - attachments
                    - forwardDetails
            enum:
              - bankFeedDetails
              - annotations
              - attachments
              - forwardDetails
            example: bankFeedDetails,annotations
        - name: personId
          in: query
          schema:
            description: >-
              The ID of the person to work with. Use commas to pass multiple
              values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: type
          in: query
          schema:
            description: >-
              The ```type``` to filter transactions by. Use commas to pass
              multiple values. Has to be URL encoded. [Learn more about
              transaction
              types](https://docs.equalsmoney.com/pages/transactions/about-transaction-types).
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - exchange
                    - payment
                    - deposit
                    - forwardContract
                    - drawdown
                    - card
                    - cardCheck
                    - cardRefund
                    - cashWithdrawal
                    - atm
                    - unload
                    - otherDebit
                    - load
                    - cashback
                    - chargeback
                    - compensation
                    - otherCredit
                    - fee
                    - batchPayment
                    - currencyPurchase
            enum:
              - exchange
              - payment
              - deposit
              - forwardContract
              - drawdown
              - card
              - cardCheck
              - cardRefund
              - cashWithdrawal
              - atm
              - unload
              - otherDebit
              - load
              - cashback
              - chargeback
              - compensation
              - otherCredit
              - fee
              - batchPayment
              - currencyPurchase
            example: payment%2Cload
        - name: excludeType
          in: query
          schema:
            description: >-
              The ```type``` to exclude in the transactions list. Use commas to
              pass multiple values. Has to be URL encoded. [Learn more about
              transaction
              types](https://docs.equalsmoney.com/pages/transactions/about-transaction-types).
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - exchange
                    - payment
                    - deposit
                    - forwardContract
                    - drawdown
                    - card
                    - cardCheck
                    - cardRefund
                    - cashWithdrawal
                    - atm
                    - unload
                    - otherDebit
                    - load
                    - cashback
                    - chargeback
                    - compensation
                    - otherCredit
                    - fee
                    - batchPayment
                    - currencyPurchase
            enum:
              - exchange
              - payment
              - deposit
              - forwardContract
              - drawdown
              - card
              - cardCheck
              - cardRefund
              - cashWithdrawal
              - atm
              - unload
              - otherDebit
              - load
              - cashback
              - chargeback
              - compensation
              - otherCredit
              - fee
              - batchPayment
              - currencyPurchase
            example: payment%2Cload
        - name: status
          in: query
          schema:
            description: >-
              The status to filter transactions by. Use commas to pass multiple
              values. Has to be URL encoded. [Learn more about transaction
              statuses](https://docs.equalsmoney.com/pages/transactions/about-transaction-statuses).
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - needsApproval
                    - fundsRequired
                    - pending
                    - complete
                    - declined
                    - reverted
                    - refunded
                    - cancelled
                    - open
                    - cardCheck
                    - fundsSettled
                  description: >-
                    The status of the Payment. Currently always the same as the
                    parent Order status.
                  example: orderCancelled
            enum:
              - needsApproval
              - fundsRequired
              - pending
              - complete
              - declined
              - reverted
              - refunded
              - cancelled
              - open
              - cardCheck
              - fundsSettled
            example: complete%2Ccancelled
        - name: budgetId
          in: query
          schema:
            description: >-
              The ```budgetId``` to filter transactions by. Use commas to pass
              multiple values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: budgetName
          in: query
          schema:
            description: >-
              The ```budgetName``` to filter transactions by. Use commas to pass
              multiple values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
            example: Account%2Cmarketing
        - name: currency
          in: query
          schema:
            description: >-
              Filters transactions that include these currencies. Use commas to
              pass multiple values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - AED
                    - AFN
                    - ALL
                    - AMD
                    - ANG
                    - AOA
                    - ARS
                    - AUD
                    - AWG
                    - AZN
                    - BAM
                    - BBD
                    - BDT
                    - BGN
                    - BHD
                    - BIF
                    - BMD
                    - BND
                    - BOB
                    - BOV
                    - BRL
                    - BSD
                    - BTN
                    - BWP
                    - BYN
                    - BZD
                    - CAD
                    - CDF
                    - CHF
                    - CLP
                    - CNY
                    - COP
                    - CRC
                    - CUC
                    - CUP
                    - CVE
                    - CZK
                    - DJF
                    - DKK
                    - DOP
                    - DZD
                    - EGP
                    - ERN
                    - ETB
                    - EUR
                    - FJD
                    - FKP
                    - GBP
                    - GEL
                    - GGP
                    - GHS
                    - GIP
                    - GMD
                    - GNF
                    - GTQ
                    - GYD
                    - HKD
                    - HNL
                    - HRK
                    - HTG
                    - HUF
                    - IDR
                    - ILS
                    - INR
                    - IQD
                    - IRR
                    - ISK
                    - JMD
                    - JOD
                    - JPY
                    - KES
                    - KGS
                    - KHR
                    - KMF
                    - KPW
                    - KRW
                    - KWD
                    - KYD
                    - KZT
                    - LAK
                    - LBP
                    - LKR
                    - LRD
                    - LSL
                    - LTL
                    - LVL
                    - LYD
                    - MAD
                    - MDL
                    - MGA
                    - MKD
                    - MMK
                    - MNT
                    - MOP
                    - MUR
                    - MVR
                    - MWK
                    - MXN
                    - MYR
                    - MZN
                    - NAD
                    - NGN
                    - NIO
                    - NOK
                    - NPR
                    - NZD
                    - OMR
                    - PAB
                    - PEN
                    - PGK
                    - PHP
                    - PKR
                    - PLN
                    - PYG
                    - QAR
                    - RON
                    - RSD
                    - RUB
                    - RWF
                    - SAR
                    - SBD
                    - SCR
                    - SEK
                    - SGD
                    - SHN
                    - SLL
                    - SOS
                    - SRD
                    - SSP
                    - STN
                    - SYP
                    - SZL
                    - THB
                    - TJS
                    - TMT
                    - TND
                    - TOP
                    - TRY
                    - TTD
                    - TWD
                    - TZS
                    - UAH
                    - UGX
                    - USD
                    - UYU
                    - UZS
                    - VND
                    - VUV
                    - WST
                    - XAF
                    - XAG
                    - XAU
                    - XCD
                    - XOF
                    - XPD
                    - XPF
                    - XPT
                    - YER
                    - ZAR
                    - ZMK
                    - ZMW
                    - ZWD
                  example: USD
            enum:
              - AED
              - AFN
              - ALL
              - AMD
              - ANG
              - AOA
              - ARS
              - AUD
              - AWG
              - AZN
              - BAM
              - BBD
              - BDT
              - BGN
              - BHD
              - BIF
              - BMD
              - BND
              - BOB
              - BOV
              - BRL
              - BSD
              - BTN
              - BWP
              - BYN
              - BZD
              - CAD
              - CDF
              - CHF
              - CLP
              - CNY
              - COP
              - CRC
              - CUC
              - CUP
              - CVE
              - CZK
              - DJF
              - DKK
              - DOP
              - DZD
              - EGP
              - ERN
              - ETB
              - EUR
              - FJD
              - FKP
              - GBP
              - GEL
              - GGP
              - GHS
              - GIP
              - GMD
              - GNF
              - GTQ
              - GYD
              - HKD
              - HNL
              - HRK
              - HTG
              - HUF
              - IDR
              - ILS
              - INR
              - IQD
              - IRR
              - ISK
              - JMD
              - JOD
              - JPY
              - KES
              - KGS
              - KHR
              - KMF
              - KPW
              - KRW
              - KWD
              - KYD
              - KZT
              - LAK
              - LBP
              - LKR
              - LRD
              - LSL
              - LTL
              - LVL
              - LYD
              - MAD
              - MDL
              - MGA
              - MKD
              - MMK
              - MNT
              - MOP
              - MUR
              - MVR
              - MWK
              - MXN
              - MYR
              - MZN
              - NAD
              - NGN
              - NIO
              - NOK
              - NPR
              - NZD
              - OMR
              - PAB
              - PEN
              - PGK
              - PHP
              - PKR
              - PLN
              - PYG
              - QAR
              - RON
              - RSD
              - RUB
              - RWF
              - SAR
              - SBD
              - SCR
              - SEK
              - SGD
              - SHN
              - SLL
              - SOS
              - SRD
              - SSP
              - STN
              - SYP
              - SZL
              - THB
              - TJS
              - TMT
              - TND
              - TOP
              - TRY
              - TTD
              - TWD
              - TZS
              - UAH
              - UGX
              - USD
              - UYU
              - UZS
              - VND
              - VUV
              - WST
              - XAF
              - XAG
              - XAU
              - XCD
              - XOF
              - XPD
              - XPF
              - XPT
              - YER
              - ZAR
              - ZMK
              - ZMW
              - ZWD
            example: GBP%2CUSD
        - name: sellCurrency
          in: query
          schema:
            description: >-
              Filters transactions that include selling these currencies. Use
              commas to pass multiple values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - AED
                    - AFN
                    - ALL
                    - AMD
                    - ANG
                    - AOA
                    - ARS
                    - AUD
                    - AWG
                    - AZN
                    - BAM
                    - BBD
                    - BDT
                    - BGN
                    - BHD
                    - BIF
                    - BMD
                    - BND
                    - BOB
                    - BOV
                    - BRL
                    - BSD
                    - BTN
                    - BWP
                    - BYN
                    - BZD
                    - CAD
                    - CDF
                    - CHF
                    - CLP
                    - CNY
                    - COP
                    - CRC
                    - CUC
                    - CUP
                    - CVE
                    - CZK
                    - DJF
                    - DKK
                    - DOP
                    - DZD
                    - EGP
                    - ERN
                    - ETB
                    - EUR
                    - FJD
                    - FKP
                    - GBP
                    - GEL
                    - GGP
                    - GHS
                    - GIP
                    - GMD
                    - GNF
                    - GTQ
                    - GYD
                    - HKD
                    - HNL
                    - HRK
                    - HTG
                    - HUF
                    - IDR
                    - ILS
                    - INR
                    - IQD
                    - IRR
                    - ISK
                    - JMD
                    - JOD
                    - JPY
                    - KES
                    - KGS
                    - KHR
                    - KMF
                    - KPW
                    - KRW
                    - KWD
                    - KYD
                    - KZT
                    - LAK
                    - LBP
                    - LKR
                    - LRD
                    - LSL
                    - LTL
                    - LVL
                    - LYD
                    - MAD
                    - MDL
                    - MGA
                    - MKD
                    - MMK
                    - MNT
                    - MOP
                    - MUR
                    - MVR
                    - MWK
                    - MXN
                    - MYR
                    - MZN
                    - NAD
                    - NGN
                    - NIO
                    - NOK
                    - NPR
                    - NZD
                    - OMR
                    - PAB
                    - PEN
                    - PGK
                    - PHP
                    - PKR
                    - PLN
                    - PYG
                    - QAR
                    - RON
                    - RSD
                    - RUB
                    - RWF
                    - SAR
                    - SBD
                    - SCR
                    - SEK
                    - SGD
                    - SHN
                    - SLL
                    - SOS
                    - SRD
                    - SSP
                    - STN
                    - SYP
                    - SZL
                    - THB
                    - TJS
                    - TMT
                    - TND
                    - TOP
                    - TRY
                    - TTD
                    - TWD
                    - TZS
                    - UAH
                    - UGX
                    - USD
                    - UYU
                    - UZS
                    - VND
                    - VUV
                    - WST
                    - XAF
                    - XAG
                    - XAU
                    - XCD
                    - XOF
                    - XPD
                    - XPF
                    - XPT
                    - YER
                    - ZAR
                    - ZMK
                    - ZMW
                    - ZWD
                  example: USD
            enum:
              - AED
              - AFN
              - ALL
              - AMD
              - ANG
              - AOA
              - ARS
              - AUD
              - AWG
              - AZN
              - BAM
              - BBD
              - BDT
              - BGN
              - BHD
              - BIF
              - BMD
              - BND
              - BOB
              - BOV
              - BRL
              - BSD
              - BTN
              - BWP
              - BYN
              - BZD
              - CAD
              - CDF
              - CHF
              - CLP
              - CNY
              - COP
              - CRC
              - CUC
              - CUP
              - CVE
              - CZK
              - DJF
              - DKK
              - DOP
              - DZD
              - EGP
              - ERN
              - ETB
              - EUR
              - FJD
              - FKP
              - GBP
              - GEL
              - GGP
              - GHS
              - GIP
              - GMD
              - GNF
              - GTQ
              - GYD
              - HKD
              - HNL
              - HRK
              - HTG
              - HUF
              - IDR
              - ILS
              - INR
              - IQD
              - IRR
              - ISK
              - JMD
              - JOD
              - JPY
              - KES
              - KGS
              - KHR
              - KMF
              - KPW
              - KRW
              - KWD
              - KYD
              - KZT
              - LAK
              - LBP
              - LKR
              - LRD
              - LSL
              - LTL
              - LVL
              - LYD
              - MAD
              - MDL
              - MGA
              - MKD
              - MMK
              - MNT
              - MOP
              - MUR
              - MVR
              - MWK
              - MXN
              - MYR
              - MZN
              - NAD
              - NGN
              - NIO
              - NOK
              - NPR
              - NZD
              - OMR
              - PAB
              - PEN
              - PGK
              - PHP
              - PKR
              - PLN
              - PYG
              - QAR
              - RON
              - RSD
              - RUB
              - RWF
              - SAR
              - SBD
              - SCR
              - SEK
              - SGD
              - SHN
              - SLL
              - SOS
              - SRD
              - SSP
              - STN
              - SYP
              - SZL
              - THB
              - TJS
              - TMT
              - TND
              - TOP
              - TRY
              - TTD
              - TWD
              - TZS
              - UAH
              - UGX
              - USD
              - UYU
              - UZS
              - VND
              - VUV
              - WST
              - XAF
              - XAG
              - XAU
              - XCD
              - XOF
              - XPD
              - XPF
              - XPT
              - YER
              - ZAR
              - ZMK
              - ZMW
              - ZWD
            example: USD%2CEUR
        - name: buyCurrency
          in: query
          schema:
            description: >-
              Filters orders that include purchasing these currencies. Use
              commas to pass multiple values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - AED
                    - AFN
                    - ALL
                    - AMD
                    - ANG
                    - AOA
                    - ARS
                    - AUD
                    - AWG
                    - AZN
                    - BAM
                    - BBD
                    - BDT
                    - BGN
                    - BHD
                    - BIF
                    - BMD
                    - BND
                    - BOB
                    - BOV
                    - BRL
                    - BSD
                    - BTN
                    - BWP
                    - BYN
                    - BZD
                    - CAD
                    - CDF
                    - CHF
                    - CLP
                    - CNY
                    - COP
                    - CRC
                    - CUC
                    - CUP
                    - CVE
                    - CZK
                    - DJF
                    - DKK
                    - DOP
                    - DZD
                    - EGP
                    - ERN
                    - ETB
                    - EUR
                    - FJD
                    - FKP
                    - GBP
                    - GEL
                    - GGP
                    - GHS
                    - GIP
                    - GMD
                    - GNF
                    - GTQ
                    - GYD
                    - HKD
                    - HNL
                    - HRK
                    - HTG
                    - HUF
                    - IDR
                    - ILS
                    - INR
                    - IQD
                    - IRR
                    - ISK
                    - JMD
                    - JOD
                    - JPY
                    - KES
                    - KGS
                    - KHR
                    - KMF
                    - KPW
                    - KRW
                    - KWD
                    - KYD
                    - KZT
                    - LAK
                    - LBP
                    - LKR
                    - LRD
                    - LSL
                    - LTL
                    - LVL
                    - LYD
                    - MAD
                    - MDL
                    - MGA
                    - MKD
                    - MMK
                    - MNT
                    - MOP
                    - MUR
                    - MVR
                    - MWK
                    - MXN
                    - MYR
                    - MZN
                    - NAD
                    - NGN
                    - NIO
                    - NOK
                    - NPR
                    - NZD
                    - OMR
                    - PAB
                    - PEN
                    - PGK
                    - PHP
                    - PKR
                    - PLN
                    - PYG
                    - QAR
                    - RON
                    - RSD
                    - RUB
                    - RWF
                    - SAR
                    - SBD
                    - SCR
                    - SEK
                    - SGD
                    - SHN
                    - SLL
                    - SOS
                    - SRD
                    - SSP
                    - STN
                    - SYP
                    - SZL
                    - THB
                    - TJS
                    - TMT
                    - TND
                    - TOP
                    - TRY
                    - TTD
                    - TWD
                    - TZS
                    - UAH
                    - UGX
                    - USD
                    - UYU
                    - UZS
                    - VND
                    - VUV
                    - WST
                    - XAF
                    - XAG
                    - XAU
                    - XCD
                    - XOF
                    - XPD
                    - XPF
                    - XPT
                    - YER
                    - ZAR
                    - ZMK
                    - ZMW
                    - ZWD
                  example: USD
            enum:
              - AED
              - AFN
              - ALL
              - AMD
              - ANG
              - AOA
              - ARS
              - AUD
              - AWG
              - AZN
              - BAM
              - BBD
              - BDT
              - BGN
              - BHD
              - BIF
              - BMD
              - BND
              - BOB
              - BOV
              - BRL
              - BSD
              - BTN
              - BWP
              - BYN
              - BZD
              - CAD
              - CDF
              - CHF
              - CLP
              - CNY
              - COP
              - CRC
              - CUC
              - CUP
              - CVE
              - CZK
              - DJF
              - DKK
              - DOP
              - DZD
              - EGP
              - ERN
              - ETB
              - EUR
              - FJD
              - FKP
              - GBP
              - GEL
              - GGP
              - GHS
              - GIP
              - GMD
              - GNF
              - GTQ
              - GYD
              - HKD
              - HNL
              - HRK
              - HTG
              - HUF
              - IDR
              - ILS
              - INR
              - IQD
              - IRR
              - ISK
              - JMD
              - JOD
              - JPY
              - KES
              - KGS
              - KHR
              - KMF
              - KPW
              - KRW
              - KWD
              - KYD
              - KZT
              - LAK
              - LBP
              - LKR
              - LRD
              - LSL
              - LTL
              - LVL
              - LYD
              - MAD
              - MDL
              - MGA
              - MKD
              - MMK
              - MNT
              - MOP
              - MUR
              - MVR
              - MWK
              - MXN
              - MYR
              - MZN
              - NAD
              - NGN
              - NIO
              - NOK
              - NPR
              - NZD
              - OMR
              - PAB
              - PEN
              - PGK
              - PHP
              - PKR
              - PLN
              - PYG
              - QAR
              - RON
              - RSD
              - RUB
              - RWF
              - SAR
              - SBD
              - SCR
              - SEK
              - SGD
              - SHN
              - SLL
              - SOS
              - SRD
              - SSP
              - STN
              - SYP
              - SZL
              - THB
              - TJS
              - TMT
              - TND
              - TOP
              - TRY
              - TTD
              - TWD
              - TZS
              - UAH
              - UGX
              - USD
              - UYU
              - UZS
              - VND
              - VUV
              - WST
              - XAF
              - XAG
              - XAU
              - XCD
              - XOF
              - XPD
              - XPF
              - XPT
              - YER
              - ZAR
              - ZMK
              - ZMW
              - ZWD
            example: GBP
        - name: startDate
          in: query
          schema:
            description: >-
              The earliest date from which to retrieve records (includes records
              on this date).
            type:
              - string
            example: '2021-02-15'
        - name: endDate
          in: query
          schema:
            description: >-
              The latest date until which to retrieve records (includes records
              on this date).
            type:
              - string
            example: '2021-02-16'
        - name: dateField
          in: query
          schema:
            description: >-
              Selects which date field `startDate` and `endDate` filter against.
              `transaction.createdAt` filters by the date the transaction was
              created; `transactionBox.valueDateTime` filters by the date the
              transaction was completed/settled. Defaults to
              `transaction.createdAt`.
            default: transaction.createdAt
            type:
              - string
            enum:
              - transaction.createdAt
              - transactionBox.valueDateTime
            example: transaction.createdAt
        - name: search
          in: query
          schema:
            type:
              - string
            maxLength: 100
            description: The term to search the records for.
            example: Cesar+Treutel
        - name: annotationStatus
          in: query
          schema:
            description: >-
              If `annotations` is included in the `include` parameter, this will
              filter the transactions based on the status of the annotations.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - draft
                    - submitted
                    - unannotated
            enum:
              - draft
              - submitted
              - unannotated
            example: draft%2Csubmitted
        - name: attachmentStatus
          in: query
          schema:
            description: >-
              If `attachments` is included in the `include` parameter, this will
              filter the transactions based on whether transactions have
              attachments or not.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - absent
                    - present
                    - lost
            enum:
              - absent
              - present
              - lost
            example: absent%2Cpresent
        - name: batchPaymentOrders
          in: query
          schema:
            description: >-
              description: 'If true, returns orders instead of the list of all
              payments from batches.
            type:
              - string
            enum:
              - 'true'
              - 'false'
            example: true
        - name: directDebitId
          in: query
          schema:
            description: >-
              Filters transactions by direct debit mandate ID(s). Use commas to
              pass multiple values. Has to be URL encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    description: The maximum number of results to return.
                    example: 200
                  offset:
                    default: 0
                    type:
                      - integer
                    description: The number of items to skip before returning results.
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      oneOf:
                        - type:
                            - object
                          properties:
                            resourceType:
                              type:
                                - string
                              enum:
                                - payment
                                - currencyPurchase
                              description: >-
                                Used to identify this particular type of Order.
                                E.g. when it's part of the "activity" stream.
                                Exchange payments return "currencyPurchase".
                              example: payment
                            id:
                              type:
                                - integer
                              description: The ID of the Payment.
                              example: 42782085
                            orderId:
                              type:
                                - integer
                              description: The ID of the Order the Payment belongs to.
                              example: 1380
                            userId:
                              type:
                                - string
                                - 'null'
                              maxLength: 36
                              description: >-
                                The ID of the User that the Payment belongs to.
                                Can be NULL (PAY Payment for example).
                              example: 34edaf73-49be-4669-83ee-1b1f8c680d26
                            companyId:
                              type:
                                - string
                              maxLength: 36
                              description: >-
                                The ID of the Company that the Payment belongs
                                to.
                              example: F50072
                            originId:
                              type:
                                - string
                              maxLength: 36
                              description: >-
                                The ID of the Payment on the origin platform.
                                PAY for example
                              example: 9a623439-8275-4230-a157-6c623a2ea7b8
                            originOrderId:
                              type:
                                - string
                              maxLength: 36
                              description: >-
                                The order ID of the Order the Payment belongs to
                                on the origin platform. PAY for example
                              example: EKOBEPVFJ
                            budgetId:
                              type:
                                - string
                              format: uuid
                              maxLength: 36
                              description: The ID of the budget to work with.
                              example: 775596ae-2624-40af-a9dc-9756110a4a03
                            status:
                              type:
                                - string
                              enum:
                                - needsApproval
                                - fundsRequired
                                - pending
                                - complete
                                - declined
                                - reverted
                                - refunded
                                - cancelled
                                - open
                                - cardCheck
                                - fundsSettled
                              description: >-
                                The status of the Payment. Currently always the
                                same as the parent Order status.
                              example: orderCancelled
                            isMultiBeneficiary:
                              type:
                                - boolean
                              description: >-
                                Whether this is a single or multi beneficiary
                                payment.
                            budget:
                              default: companyBalance
                              type:
                                - string
                              enum:
                                - companyBalance
                              description: Always returns "companyBalance" as the Budget.
                            beneficiaryId:
                              type:
                                - string
                              maxLength: 256
                              description: The unique ID of the beneficiary
                              example: ben90944601
                            beneficiaryName:
                              type:
                                - string
                              maxLength: 256
                              description: Name of the Person receiving the Payment.
                              example: Nichole Grant
                            beneficiaryAddress:
                              type:
                                - string
                              description: Address of the Person receiving the Payment.
                              example: 46315 Bailey MillSouth CamilleNiue
                            beneficiaryAccountNumber:
                              type:
                                - string
                              maxLength: 32
                              description: Bank account number to send the Payment to.
                              example: '10387899'
                            beneficiarySortCode:
                              type:
                                - string
                              maxLength: 32
                              description: Sort code of the bank to send the Payment to.
                              example: 12-34-56
                            beneficiaryIban:
                              type:
                                - string
                              maxLength: 34
                              description: Iban of the bank to send the Payment to.
                              example: PT72105510150936500020992
                            beneficiaryBankCode:
                              type:
                                - string
                              maxLength: 256
                              description: Bank code of the bank to send the Payment to.
                              example: QHKEMKK1
                            beneficiaryBankAddress:
                              type:
                                - string
                              description: >-
                                Address of the bank the Payment is being made
                                to.
                              example: 883 Bernie MountainNew EstachesterVietnam
                            beneficiaryCountryCode:
                              type:
                                - string
                              description: >-
                                The ISO country code for the country the
                                beneficiary is registered to.
                              example: GB
                            beneficiaryRoutingInfo:
                              type:
                                - string
                              description: >-
                                Extra payment information as to how a payment
                                will be routed.
                              example: >-
                                Payment will be routed from Barclays Bank and
                                then through Lloyds bank
                            remitterName:
                              type:
                                - string
                                - 'null'
                              maxLength: 256
                              description: Name of the Person send in the Payment.
                              example: Joseph Bloggs
                            reference:
                              type:
                                - string
                              description: Handy reference to describe the Order.
                              example: >-
                                withdrawal transaction at Osinski, Zboncak and
                                Bayer using card ending with ***3963 for IDR
                                670.50 in account ***32418758
                            amount:
                              type:
                                - number
                              description: >-
                                The amount the Payment was for. Maximum amount
                                is 9999999999.99.
                              example: 773.08
                            currency:
                              type:
                                - string
                              enum:
                                - AED
                                - AFN
                                - ALL
                                - AMD
                                - ANG
                                - AOA
                                - ARS
                                - AUD
                                - AWG
                                - AZN
                                - BAM
                                - BBD
                                - BDT
                                - BGN
                                - BHD
                                - BIF
                                - BMD
                                - BND
                                - BOB
                                - BOV
                                - BRL
                                - BSD
                                - BTN
                                - BWP
                                - BYN
                                - BZD
                                - CAD
                                - CDF
                                - CHF
                                - CLP
                                - CNY
                                - COP
                                - CRC
                                - CUC
                                - CUP
                                - CVE
                                - CZK
                                - DJF
                                - DKK
                                - DOP
                                - DZD
                                - EGP
                                - ERN
                                - ETB
                                - EUR
                                - FJD
                                - FKP
                                - GBP
                                - GEL
                                - GGP
                                - GHS
                                - GIP
                                - GMD
                                - GNF
                                - GTQ
                                - GYD
                                - HKD
                                - HNL
                                - HRK
                                - HTG
                                - HUF
                                - IDR
                                - ILS
                                - INR
                                - IQD
                                - IRR
                                - ISK
                                - JMD
                                - JOD
                                - JPY
                                - KES
                                - KGS
                                - KHR
                                - KMF
                                - KPW
                                - KRW
                                - KWD
                                - KYD
                                - KZT
                                - LAK
                                - LBP
                                - LKR
                                - LRD
                                - LSL
                                - LTL
                                - LVL
                                - LYD
                                - MAD
                                - MDL
                                - MGA
                                - MKD
                                - MMK
                                - MNT
                                - MOP
                                - MUR
                                - MVR
                                - MWK
                                - MXN
                                - MYR
                                - MZN
                                - NAD
                                - NGN
                                - NIO
                                - NOK
                                - NPR
                                - NZD
                                - OMR
                                - PAB
                                - PEN
                                - PGK
                                - PHP
                                - PKR
                                - PLN
                                - PYG
                                - QAR
                                - RON
                                - RSD
                                - RUB
                                - RWF
                                - SAR
                                - SBD
                                - SCR
                                - SEK
                                - SGD
                                - SHN
                                - SLL
                                - SOS
                                - SRD
                                - SSP
                                - STN
                                - SYP
                                - SZL
                                - THB
                                - TJS
                                - TMT
                                - TND
                                - TOP
                                - TRY
                                - TTD
                                - TWD
                                - TZS
                                - UAH
                                - UGX
                                - USD
                                - UYU
                                - UZS
                                - VND
                                - VUV
                                - WST
                                - XAF
                                - XAG
                                - XAU
                                - XCD
                                - XOF
                                - XPD
                                - XPF
                                - XPT
                                - YER
                                - ZAR
                                - ZMK
                                - ZMW
                                - ZWD
                              example: USD
                            sellCurrency:
                              type:
                                - string
                                - 'null'
                              enum:
                                - AED
                                - AFN
                                - ALL
                                - AMD
                                - ANG
                                - AOA
                                - ARS
                                - AUD
                                - AWG
                                - AZN
                                - BAM
                                - BBD
                                - BDT
                                - BGN
                                - BHD
                                - BIF
                                - BMD
                                - BND
                                - BOB
                                - BOV
                                - BRL
                                - BSD
                                - BTN
                                - BWP
                                - BYN
                                - BZD
                                - CAD
                                - CDF
                                - CHF
                                - CLP
                                - CNY
                                - COP
                                - CRC
                                - CUC
                                - CUP
                                - CVE
                                - CZK
                                - DJF
                                - DKK
                                - DOP
                                - DZD
                                - EGP
                                - ERN
                                - ETB
                                - EUR
                                - FJD
                                - FKP
                                - GBP
                                - GEL
                                - GGP
                                - GHS
                                - GIP
                                - GMD
                                - GNF
                                - GTQ
                                - GYD
                                - HKD
                                - HNL
                                - HRK
                                - HTG
                                - HUF
                                - IDR
                                - ILS
                                - INR
                                - IQD
                                - IRR
                                - ISK
                                - JMD
                                - JOD
                                - JPY
                                - KES
                                - KGS
                                - KHR
                                - KMF
                                - KPW
                                - KRW
                                - KWD
                                - KYD
                                - KZT
                                - LAK
                                - LBP
                                - LKR
                                - LRD
                                - LSL
                                - LTL
                                - LVL
                                - LYD
                                - MAD
                                - MDL
                                - MGA
                                - MKD
                                - MMK
                                - MNT
                                - MOP
                                - MUR
                                - MVR
                                - MWK
                                - MXN
                                - MYR
                                - MZN
                                - NAD
                                - NGN
                                - NIO
                                - NOK
                                - NPR
                                - NZD
                                - OMR
                                - PAB
                                - PEN
                                - PGK
                                - PHP
                                - PKR
                                - PLN
                                - PYG
                                - QAR
                                - RON
                                - RSD
                                - RUB
                                - RWF
                                - SAR
                                - SBD
                                - SCR
                                - SEK
                                - SGD
                                - SHN
                                - SLL
                                - SOS
                                - SRD
                                - SSP
                                - STN
                                - SYP
                                - SZL
                                - THB
                                - TJS
                                - TMT
                                - TND
                                - TOP
                                - TRY
                                - TTD
                                - TWD
                                - TZS
                                - UAH
                                - UGX
                                - USD
                                - UYU
                                - UZS
                                - VND
                                - VUV
                                - WST
                                - XAF
                                - XAG
                                - XAU
                                - XCD
                                - XOF
                                - XPD
                                - XPF
                                - XPT
                                - YER
                                - ZAR
                                - ZMK
                                - ZMW
                                - ZWD
                              example: USD
                            buyCurrency:
                              type:
                                - string
                                - 'null'
                              enum:
                                - AED
                                - AFN
                                - ALL
                                - AMD
                                - ANG
                                - AOA
                                - ARS
                                - AUD
                                - AWG
                                - AZN
                                - BAM
                                - BBD
                                - BDT
                                - BGN
                                - BHD
                                - BIF
                                - BMD
                                - BND
                                - BOB
                                - BOV
                                - BRL
                                - BSD
                                - BTN
                                - BWP
                                - BYN
                                - BZD
                                - CAD
                                - CDF
                                - CHF
                                - CLP
                                - CNY
                                - COP
                                - CRC
                                - CUC
                                - CUP
                                - CVE
                                - CZK
                                - DJF
                                - DKK
                                - DOP
                                - DZD
                                - EGP
                                - ERN
                                - ETB
                                - EUR
                                - FJD
                                - FKP
                                - GBP
                                - GEL
                                - GGP
                                - GHS
                                - GIP
                                - GMD
                                - GNF
                                - GTQ
                                - GYD
                                - HKD
                                - HNL
                                - HRK
                                - HTG
                                - HUF
                                - IDR
                                - ILS
                                - INR
                                - IQD
                                - IRR
                                - ISK
                                - JMD
                                - JOD
                                - JPY
                                - KES
                                - KGS
                                - KHR
                                - KMF
                                - KPW
                                - KRW
                                - KWD
                                - KYD
                                - KZT
                                - LAK
                                - LBP
                                - LKR
                                - LRD
                                - LSL
                                - LTL
                                - LVL
                                - LYD
                                - MAD
                                - MDL
                                - MGA
                                - MKD
                                - MMK
                                - MNT
                                - MOP
                                - MUR
                                - MVR
                                - MWK
                                - MXN
                                - MYR
                                - MZN
                                - NAD
                                - NGN
                                - NIO
                                - NOK
                                - NPR
                                - NZD
                                - OMR
                                - PAB
                                - PEN
                                - PGK
                                - PHP
                                - PKR
                                - PLN
                                - PYG
                                - QAR
                                - RON
                                - RSD
                                - RUB
                                - RWF
                                - SAR
                                - SBD
                                - SCR
                                - SEK
                                - SGD
                                - SHN
                                - SLL
                                - SOS
                                - SRD
                                - SSP
                                - STN
                                - SYP
                                - SZL
                                - THB
                                - TJS
                                - TMT
                                - TND
                                - TOP
                                - TRY
                                - TTD
                                - TWD
                                - TZS
                                - UAH
                                - UGX
                                - USD
                                - UYU
                                - UZS
                                - VND
                                - VUV
                                - WST
                                - XAF
                                - XAG
                                - XAU
                                - XCD
                                - XOF
                                - XPD
                                - XPF
                                - XPT
                                - YER
                                - ZAR
                                - ZMK
                                - ZMW
                                - ZWD
                              example: USD
                            settlementAmount:
                              type:
                                - number
                                - 'null'
                              description: >-
                                When isMultiBeneficiary = false. The amount of
                                the currency being bought including our Fee.
                                Maximum amount is 9999999999.99.
                              example: 33920.34
                            settlementFee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                When isMultiBeneficiary = false. The total fee
                                we took for the facilitating the purchase.
                              example: 1.34
                            settlementAmountWithoutFee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                When isMultiBeneficiary = false. The amount of
                                the currency being bought excluding our Fee.
                                Maximum amount is 9999999999.99.
                              example: 33920.34
                            customerRate:
                              type:
                                - number
                                - 'null'
                              description: >-
                                When isMultiBeneficiary = false. The rate at
                                which the buy currency was bought including any
                                margin. This is the rate the customer sees
                              example: 0.8637052
                            customerInverseRate:
                              type:
                                - number
                                - 'null'
                              description: >-
                                When isMultiBeneficiary = false. The rate at
                                which the sell currency was sold including any
                                margin
                              example: 0.71942446043
                            confirmationKey:
                              type:
                                - string
                                - 'null'
                              description: >-
                                When isMultiBeneficiary = false. The key used to
                                identify a pdf confirmation for an order.
                              example: F36555/pdf/F36555-000265963.pdf
                            uniqueId:
                              type:
                                - string
                              maxLength: 256
                              description: The unique ID of the beneficiary on MTS
                              example: 69e4a1e8-db35-4301-b5a8-67a2cb063609
                            type:
                              type:
                                - string
                                - 'null'
                              enum:
                                - exchange
                                - payment
                                - cardPayment
                                - deposit
                                - forwardContract
                                - drawdown
                                - load
                                - fee
                              description: The type of the Payment.
                            order:
                              type:
                                - object
                              properties:
                                id:
                                  type:
                                    - integer
                                  description: The ID of the Order.
                                  example: 1380
                                companyId:
                                  type:
                                    - string
                                  maxLength: 36
                                  description: >-
                                    The ID of the Company that the Order belongs
                                    to.
                                  example: F50072
                                events:
                                  type:
                                    - array
                                  items: {}
                                  description: Array of events associated with the Order.
                                originId:
                                  type:
                                    - string
                                  maxLength: 36
                                  description: The ID of the Order on the origin platform.
                                  example: 9a623439-8275-4230-a157-6c623a2ea7b8
                                status:
                                  type:
                                    - string
                                  maxLength: 25
                                  description: The status of the Order.
                                  example: complete
                                type:
                                  type:
                                    - string
                                  maxLength: 25
                                  description: The type of the Order.
                                  example: payment
                                userId:
                                  type:
                                    - string
                                    - 'null'
                                  maxLength: 36
                                  description: >-
                                    The ID of the User that the Order belongs
                                    to.
                                  example: 34edaf73-49be-4669-83ee-1b1f8c680d26
                                userName:
                                  type:
                                    - string
                                    - 'null'
                                  maxLength: 256
                                  description: >-
                                    The name of the User that the Order belongs
                                    to.
                                  example: John Doe
                                lastSourceEventDatetime:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: The last source event datetime.
                                orderSource:
                                  type:
                                    - string
                                    - 'null'
                                  description: The order source.
                                parentOriginId:
                                  type:
                                    - string
                                    - 'null'
                                  description: The parent origin ID.
                                settlementDate:
                                  type:
                                    - string
                                    - 'null'
                                  description: The settlement date.
                                initiator:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the entity that initiated
                                    the order.
                                  example: John Doe
                                createdAt:
                                  type:
                                    - string
                                  format: date-time
                                  description: >-
                                    The date the Resource was initially created.
                                    ISO 8601 format without milliseconds.
                                updatedAt:
                                  type:
                                    - string
                                  format: date-time
                                  description: >-
                                    The date the Resource was last modified. ISO
                                    8601 format without milliseconds.
                                metadata:
                                  type:
                                    - object
                                  additionalProperties:
                                    type:
                                      - string
                                  description: Metadata attached to the order.
                                  example: '{ paymentsCount: 1 }'
                              required:
                                - id
                                - companyId
                                - originId
                                - status
                                - type
                                - userId
                                - userName
                                - lastSourceEventDatetime
                                - orderSource
                                - parentOriginId
                                - settlementDate
                                - createdAt
                                - updatedAt
                              description: >-
                                The parent Order the Payment was made as part
                                of.
                            deleted:
                              type:
                                - boolean
                                - 'null'
                              description: >-
                                Used to show if a payment has been deleted (when
                                received from PAY).
                            budgetName:
                              type:
                                - string
                              description: The name of the budget.
                            transactionGroupId:
                              type:
                                - string
                                - 'null'
                              description: The transaction group ID.
                              example: 1c0547bd-30e6-4d14-b82e-78cd128fbfd9
                            transactionBoxes:
                              type:
                                - array
                              items:
                                type:
                                  - object
                                properties:
                                  id:
                                    type:
                                      - string
                                    description: The ID of the transaction box.
                                    example: 2af0e603-0c72-4a7c-8020-52916d7a9960
                                  accountId:
                                    type:
                                      - string
                                    description: The ID of the account to work with.
                                    example: F50091
                                  budgetId:
                                    type:
                                      - string
                                    format: uuid
                                    maxLength: 36
                                    description: The ID of the budget to work with.
                                    example: 775596ae-2624-40af-a9dc-9756110a4a03
                                  transactionId:
                                    type:
                                      - string
                                      - 'null'
                                    description: The transaction ID.
                                    example: '42782085'
                                  transactionBoxableId:
                                    type:
                                      - string
                                    description: The transaction boxable ID.
                                    example: '42782085'
                                  transactionBoxableType:
                                    type:
                                      - string
                                    description: The transaction boxable type.
                                    example: payment
                                  paymentId:
                                    type:
                                      - integer
                                      - 'null'
                                    description: The payment ID.
                                    example: 42782085
                                  orderId:
                                    type:
                                      - string
                                    description: The order ID.
                                    example: E61BG8PJCXQ4-Fee
                                  eventSource:
                                    type:
                                      - string
                                    description: >-
                                      The system or process that triggered this
                                      transaction.
                                    example: Orders
                                  chargeBearer:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      Indicates who bears the transaction
                                      charges.
                                  blockId:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The unique identifier for the block this
                                      transaction belongs to.
                                    example: '454'
                                  blockTag:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A tag used to group related blocked
                                      transactions.
                                    example: abd8d22e-d701-45c4-960a-d198e0e16a14
                                  blockFriendlyId:
                                    type:
                                      - string
                                      - 'null'
                                    maxLength: 36
                                    description: >-
                                      The customer-facing UUID identifier for
                                      the block.
                                    example: abd8d22e-d701-45c4-960a-d198e0e16a14
                                  paymentType:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The payment scheme used for this
                                      transaction.
                                    example: UK.OBIE.BalanceTransfer
                                  creditDebitIndicator:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - Debit
                                      - Credit
                                    description: The credit and debit indicator.
                                    example: Debit
                                  thirdPartyReference:
                                    type:
                                      - string
                                      - 'null'
                                    maxLength: 50
                                    description: >-
                                      A reference provided by the third party
                                      system that initiated this transaction.
                                    example: abd8d22e-d701-45c4-960a-d198e0e16a14-FEE
                                  internalAccountTransferId:
                                    type:
                                      - string
                                      - 'null'
                                    description: The internal account transfer id.
                                    example: BR89
                                  affectsLedgerBalance:
                                    type:
                                      - boolean
                                      - 'null'
                                    description: >-
                                      A boolean to indicate if the ledger
                                      balance is affected.
                                    example: false
                                  isCurrencyAlignment:
                                    type:
                                      - boolean
                                      - 'null'
                                    description: >-
                                      Indicates if this is a currency alignment
                                      transaction.
                                    example: false
                                  runningBalance:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The balance after this transaction was
                                      processed.
                                    example: '957.92'
                                  transactionReference:
                                    type:
                                      - string
                                      - 'null'
                                    description: The transaction reference.
                                    example: ''
                                  statementReference:
                                    type:
                                      - string
                                      - 'null'
                                    description: The statement reference.
                                    example: ''
                                  debtorAccount:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      id:
                                        type:
                                          - string
                                        description: The ID of the account.
                                        example: ed8388b1-4d01-41e7-a04a-2be9a56adb68
                                      ownerId:
                                        type:
                                          - string
                                          - 'null'
                                        maxLength: 36
                                        description: The owner ID.
                                        example: d6061bbee6
                                      accountId:
                                        type:
                                          - string
                                          - 'null'
                                        description: The ID of the account to work with.
                                        example: F50091
                                      schemeName:
                                        type:
                                          - string
                                          - 'null'
                                        description: The scheme name.
                                        example: UK.OBIE.SortCodeAccountNumber
                                      identification:
                                        type:
                                          - string
                                          - 'null'
                                        description: The identification.
                                        example: '23188474064478'
                                      name:
                                        type:
                                          - string
                                          - 'null'
                                        description: The name.
                                        example: Joe Bloggs 202106171735
                                      address:
                                        type:
                                          - string
                                        description: The address.
                                        example: 21 test street
                                      institutionAddress:
                                        type:
                                          - string
                                        description: The institution address.
                                        example: 29 test street
                                      institutionBic:
                                        type:
                                          - string
                                        description: The institution BIC.
                                        example: '1'
                                      institutionName:
                                        type:
                                          - string
                                        description: The institution name.
                                        example: Test Name
                                      transactionBoxId:
                                        type:
                                          - string
                                        description: The transaction box ID.
                                        example: 1ee51a67-d6ba-480e-9686-f2fadb1fa1ef
                                    required:
                                      - ownerId
                                      - accountId
                                      - schemeName
                                      - identification
                                      - name
                                  creditorAccount:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      id:
                                        type:
                                          - string
                                        description: The ID of the account.
                                        example: ed8388b1-4d01-41e7-a04a-2be9a56adb68
                                      ownerId:
                                        type:
                                          - string
                                          - 'null'
                                        maxLength: 36
                                        description: The owner ID.
                                        example: d6061bbee6
                                      accountId:
                                        type:
                                          - string
                                          - 'null'
                                        description: The ID of the account to work with.
                                        example: F50091
                                      schemeName:
                                        type:
                                          - string
                                          - 'null'
                                        description: The scheme name.
                                        example: UK.OBIE.SortCodeAccountNumber
                                      identification:
                                        type:
                                          - string
                                          - 'null'
                                        description: The identification.
                                        example: '23188474064478'
                                      name:
                                        type:
                                          - string
                                          - 'null'
                                        description: The name.
                                        example: Joe Bloggs 202106171735
                                      address:
                                        type:
                                          - string
                                        description: The address.
                                        example: 21 test street
                                      institutionAddress:
                                        type:
                                          - string
                                        description: The institution address.
                                        example: 29 test street
                                      institutionBic:
                                        type:
                                          - string
                                        description: The institution BIC.
                                        example: '1'
                                      institutionName:
                                        type:
                                          - string
                                        description: The institution name.
                                        example: Test Name
                                      transactionBoxId:
                                        type:
                                          - string
                                        description: The transaction box ID.
                                        example: 1ee51a67-d6ba-480e-9686-f2fadb1fa1ef
                                    required:
                                      - ownerId
                                      - accountId
                                      - schemeName
                                      - identification
                                      - name
                                  fx:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      sourceCurrency:
                                        type:
                                          - string
                                        enum:
                                          - AED
                                          - AFN
                                          - ALL
                                          - AMD
                                          - ANG
                                          - AOA
                                          - ARS
                                          - AUD
                                          - AWG
                                          - AZN
                                          - BAM
                                          - BBD
                                          - BDT
                                          - BGN
                                          - BHD
                                          - BIF
                                          - BMD
                                          - BND
                                          - BOB
                                          - BOV
                                          - BRL
                                          - BSD
                                          - BTN
                                          - BWP
                                          - BYN
                                          - BZD
                                          - CAD
                                          - CDF
                                          - CHF
                                          - CLP
                                          - CNY
                                          - COP
                                          - CRC
                                          - CUC
                                          - CUP
                                          - CVE
                                          - CZK
                                          - DJF
                                          - DKK
                                          - DOP
                                          - DZD
                                          - EGP
                                          - ERN
                                          - ETB
                                          - EUR
                                          - FJD
                                          - FKP
                                          - GBP
                                          - GEL
                                          - GGP
                                          - GHS
                                          - GIP
                                          - GMD
                                          - GNF
                                          - GTQ
                                          - GYD
                                          - HKD
                                          - HNL
                                          - HRK
                                          - HTG
                                          - HUF
                                          - IDR
                                          - ILS
                                          - INR
                                          - IQD
                                          - IRR
                                          - ISK
                                          - JMD
                                          - JOD
                                          - JPY
                                          - KES
                                          - KGS
                                          - KHR
                                          - KMF
                                          - KPW
                                          - KRW
                                          - KWD
                                          - KYD
                                          - KZT
                                          - LAK
                                          - LBP
                                          - LKR
                                          - LRD
                                          - LSL
                                          - LTL
                                          - LVL
                                          - LYD
                                          - MAD
                                          - MDL
                                          - MGA
                                          - MKD
                                          - MMK
                                          - MNT
                                          - MOP
                                          - MUR
                                          - MVR
                                          - MWK
                                          - MXN
                                          - MYR
                                          - MZN
                                          - NAD
                                          - NGN
                                          - NIO
                                          - NOK
                                          - NPR
                                          - NZD
                                          - OMR
                                          - PAB
                                          - PEN
                                          - PGK
                                          - PHP
                                          - PKR
                                          - PLN
                                          - PYG
                                          - QAR
                                          - RON
                                          - RSD
                                          - RUB
                                          - RWF
                                          - SAR
                                          - SBD
                                          - SCR
[...]
